@import "../../../../style/variables";
.one-news-page_container {
  position: relative;
  align-items: center;
  text-align: center;
  min-height: 500px;
  padding-bottom: 200px;
  .text-content {
    overflow: hidden;
  }
  h1 {
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    margin: 20px 0;
  }
  .image-news {
    float: left;
    height: 400px;
    max-width: 600px;
    margin: 10px 20px;
    border-radius: 5px;
    img {
      margin: 0 auto;
      border-radius: 5px !important;
      max-height: 100%;
      max-width: 100%;
      object-fit: cover;
    }
  }
}

.one-news-page_container-admin {
  width: 100%;
  bottom: 0;
  display: flex;
  flex-wrap: wrap;

  padding: 20px;
  justify-content: space-between;
  &-author {
    font-weight: 500;
    margin: 5px 10px;
    padding: 5px 10px;
    min-width: 300px;
  }
  &-btns {
    display: flex;
    flex-wrap: wrap;
    div button {
      padding: 5px 10px;
      border-radius: 2px;
      margin: 5px 10px;
      min-width: 300px;
    }
  }
  .edit {
    background-color: #1677ff;
    color: white;
  }
  .delite {
    background-color: #a8071a;
    color: white;
  }
}
@media screen and (max-width: 1000px) {
  .one-news-page_container {
    .image-news {
      float: none;
      margin: 0 auto;
      margin-bottom: 30px;
    }
  }
}
@media screen and (max-width: 1100px) {
  .one-news-page_container-admin {
    display: flex;
    justify-content: center;
  }
}
@include tablets {
  .one-news-page_container-admin {
    &-btns {
      justify-content: center;
    }
  }
}
